(* Communication *)
FUNCTION_BLOCK FB_SikoAp20Com
	///////////////////////////////////////////////////////////////////////////////////
	// Name: FB_SikoAp20Com
	////////////////////////////////////////////////////////////////////////////////////
	// Version history
	////////////////////////////////////////////////////////////////////////////////////
	// Date        | Vers.   	| created              	| Author          | Remark
	// dd.mm.yyyy  |         	| with                 	|                 | 
	// ---------------------------------------------------------------------------------
	// 07.02.2019  | 0.01.00  	| AS V4.3.3.196			| SIKO GmbH / ch  | alpha
	// 21.05.2019  | 1.00.00	| AS V4.3.3.196		    | SIKO GmbH / ch  | first release
	////////////////////////////////////////////////////////////////////////////////////

	(* Actual Value *)
	nActualValue := DC_nActualValue;
	
	(* Generic Mapping Channel *)
	nGenMapCh := DC_nGenMapCh;
	
	(* Error Status *)
	nErrorStatus := DC_nErrorStatus;
	
	(* Status Word *)
	bs00 := DC_nStatusWord.0;
	bs01 := DC_nStatusWord.1;
	bs02 := DC_nStatusWord.2;
	bs03 := DC_nStatusWord.3;
	bs04 := DC_nStatusWord.4;
	bs05 := DC_nStatusWord.5;
	bs06 := DC_nStatusWord.6;
	bs07 := DC_nStatusWord.7;
	bs08 := DC_nStatusWord.8;
	bs09 := DC_nStatusWord.9;
	bs10 := DC_nStatusWord.10;
	bs11 := DC_nStatusWord.11;
	bs12 := DC_nStatusWord.12;
	bs13 := DC_nStatusWord.13;
	bs14 := DC_nStatusWord.14;
	bs15 := DC_nStatusWord.15;
	
	(* Target Value *)
	DC_nTargetValue := nTargetValue;
	
	(* Display Data *)
	DC_nDisplayData := nDisplayData;
	
	(* Control Word *)
	DC_nControlWord.0:= bc00;
	DC_nControlWord.1:= bc01;
	DC_nControlWord.2:= bc02;
	DC_nControlWord.3:= bc03;
	DC_nControlWord.4:= bc04;
	DC_nControlWord.5:= bc05;
	DC_nControlWord.6:= bc06;
	DC_nControlWord.7:= bc07;
	DC_nControlWord.8:= bc08;
	DC_nControlWord.9:= bc09;
	DC_nControlWord.10:= bc10;
	DC_nControlWord.11:= bc11;
	DC_nControlWord.12:= bc12;
	DC_nControlWord.13:= bc13;
	DC_nControlWord.14:= bc14;
	DC_nControlWord.15:= bc15;
END_FUNCTION_BLOCK